Get configuration
curl --request GET \
--url https://managexrapi.com/organizations/{orgId}/configurations/{configurationId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "6qwM6FzJE4o708iqTpWc",
"name": "Trial",
"registrationCode": "f7GbHvH",
"deviceCount": 15,
"deviceExperience": "HOME_SCREEN",
"apps": [
{
"id": "01b8e51a-15d3-2sd3-a0d8-4c13ff633413",
"title": "Example App",
"packageName": "com.example.app",
"description": "Quest version of my example app",
"versionCode": 42,
"versionName": "1.0.0",
"versionLabel": "Release",
"apkSize": 1024,
"obbSize": 1024,
"categories": [
"Onboarding",
"Safety"
],
"hidden": true,
"forceInstall": false,
"autoGrantPermissions": true,
"expirationTimestamp": 1710566400,
"expirationBehavior": "DISABLE_APP"
}
],
"videos": [
{
"id": "2656f354-9723-43f5-9165-f4b2a8662ab0",
"title": "Example Video",
"videoType": "_360",
"description": "5 minute video of Patagonia",
"size": 1024,
"categories": [
"Field Trips",
"South America"
],
"hidden": false
}
],
"webxrLinks": [
{
"id": "1Gvlpc3JVGcynBrWSJwI",
"url": "http://www.thechinaguide.com/destination/great-wall-of-china",
"title": "Great wall of China",
"description": "A grand tour of the great wall of China, from the comfort of your seat.",
"categories": [
"Field Trips",
"Asia"
],
"hidden": true
}
],
"files": [
{
"id": "0uZN2kuoQhcZJglgVNTc",
"path": "/foo/bar/myFile.png",
"size": 1024
}
],
"wifiNetworks": [
{
"id": "1tZw3kuoOfcZMgbIs8",
"ssid": "SF_Office_123",
"nickname": "SF Office wifi main",
"type": "WPA_ENTERPRISE"
}
],
"kioskAppId": {
"available": "10707AB329856"
}
}Configurations
Get Configuration
Retrieve a configuration by id
GET
/
organizations
/
{orgId}
/
configurations
/
{configurationId}
Get configuration
curl --request GET \
--url https://managexrapi.com/organizations/{orgId}/configurations/{configurationId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("https://managexrapi.com/organizations/{orgId}/configurations/{configurationId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"id": "6qwM6FzJE4o708iqTpWc",
"name": "Trial",
"registrationCode": "f7GbHvH",
"deviceCount": 15,
"deviceExperience": "HOME_SCREEN",
"apps": [
{
"id": "01b8e51a-15d3-2sd3-a0d8-4c13ff633413",
"title": "Example App",
"packageName": "com.example.app",
"description": "Quest version of my example app",
"versionCode": 42,
"versionName": "1.0.0",
"versionLabel": "Release",
"apkSize": 1024,
"obbSize": 1024,
"categories": [
"Onboarding",
"Safety"
],
"hidden": true,
"forceInstall": false,
"autoGrantPermissions": true,
"expirationTimestamp": 1710566400,
"expirationBehavior": "DISABLE_APP"
}
],
"videos": [
{
"id": "2656f354-9723-43f5-9165-f4b2a8662ab0",
"title": "Example Video",
"videoType": "_360",
"description": "5 minute video of Patagonia",
"size": 1024,
"categories": [
"Field Trips",
"South America"
],
"hidden": false
}
],
"webxrLinks": [
{
"id": "1Gvlpc3JVGcynBrWSJwI",
"url": "http://www.thechinaguide.com/destination/great-wall-of-china",
"title": "Great wall of China",
"description": "A grand tour of the great wall of China, from the comfort of your seat.",
"categories": [
"Field Trips",
"Asia"
],
"hidden": true
}
],
"files": [
{
"id": "0uZN2kuoQhcZJglgVNTc",
"path": "/foo/bar/myFile.png",
"size": 1024
}
],
"wifiNetworks": [
{
"id": "1tZw3kuoOfcZMgbIs8",
"ssid": "SF_Office_123",
"nickname": "SF Office wifi main",
"type": "WPA_ENTERPRISE"
}
],
"kioskAppId": {
"available": "10707AB329856"
}
}Authorizations
Path Parameters
Response
200 - application/json
A configuration object
Configuration code (formerly known as Registration Code) for the configuration. Learn More
Example:
"f7GbHvH"